FCGI::Client::Record(3pm)

NAME
FCGI::Client::Record - record object for FCGI

SYNOPSIS
    my $record = FCGI::Client::Record->new(header => $header, content => $content);
    say $record->type;

DESCRIPTION
This module is record class for FCGI::Client.

ATTRIBUTES

header
    'header' attribute is instance of FCGI::Client::RecordHeader.

content
    'content' attribute is string of record content.

METHOD

$self->request_id()
$self->content_length()
$self->type()
    shortcut of $self->header->any_method()

SEE ALSO
FCGI::Client